import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int().optional()
}).strict();
export const OfficeHoursWhereUniqueInputObjectSchema: z.ZodType<Prisma.OfficeHoursWhereUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursWhereUniqueInput>;
export const OfficeHoursWhereUniqueInputObjectZodSchema = makeSchema();
